org.aspectj.weaver.loadtime

## Class JRockitAgent

- java.lang.Object
- - org.aspectj.weaver.loadtime.JRockitAgent

    public class JRockitAgent
    extends java.lang.Object

BEA JRocket JMAPI agent. Use "-Xmanagement:class=org.aspectj.weaver.loadtime.JRockitAgent"

### Constructor Summary

Constructors
Constructor and Description
`JRockitAgent()`

### Method Summary

Methods
`byte[]` `preProcess(java.lang.ClassLoader loader, java.lang.String className, byte[] bytes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JRockitAgent

    public JRockitAgent()

### Method Detail

#### preProcess

    public byte[] preProcess(java.lang.ClassLoader loader,
                    java.lang.String className,
                    byte[] bytes)